﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVVMFramework.View
{
    public class BoolToIntegerConverter : ConverterBase
    {
        public int TrueValue
        {
            get;
            set;
        }

        public int FalseValue
        {
            get;
            set;
        }

        protected override object TryConvert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool booleanValue = System.Convert.ToBoolean(value, culture);

            if (booleanValue)
                return TrueValue;

            return FalseValue;
        }

        protected override object TryConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (!(value is int))
                throw new ConverterException("Unexpected value type");

            int intValue = (int)value;
            bool convertedValue = (intValue == TrueValue);
            return convertedValue;
        }
    }
}
