﻿using System;
using System.Windows.Input;

namespace MVVMFramework.View
{
    /// <summary>
    /// This class is to set mouse cursor to Wait state
    /// </summary>
    public  class WaitCursor : IDisposable
    {
        private readonly Cursor previousCursor;

        /// <summary>
        /// Initializes a new instance of the <see cref="WaitCursor"/> class.
        /// </summary>
        public WaitCursor()
        {
            previousCursor = Mouse.OverrideCursor;

            Mouse.OverrideCursor = Cursors.Wait;
        }

        #region IDisposable Members

        /// <summary>
        /// Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
        /// </summary>
        public void Dispose()
        {
            Mouse.OverrideCursor = previousCursor;
        }

        #endregion
    }
}